%define name    d4x
%define version 2.5.0
%define prever  rc2
%define rel     1mdk
%define group	Networking/File transfer
%define summary	Web Downloader for X

Summary: 	%{summary}
Name: 		%{name}
Version: 	%{version}
Release: 	0.%{prever}.%{rel}
License: 	Artistic
Group: 		%{group}
Source: 	%{name}-%{version}%{prever}.tar.bz2
URL: 		http://www.krasu.ru/soft/chuchelo/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	libesound-devel XFree86-devel libatk-devel
Buildrequires:  libglib-devel
Obsoletes:	nt
Provides:	nt

%description
This program lets you download files from internet/intranet using
ftp or http protocol.
Main features:
    * multithreaded design
    * convient user-friendly interface
    * automatic resuming after connection breaks
    * multiple simultaneous downloads
    * recursive ftp and http downloading
    * wildcards support for ftp recursing
    * proxy support (ftp and http)
    * supports for traffic limitation
    * mass downloading function
    * and other ...

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}%{prever} 

%build
%configure2_5x --enable-release --program-transform-name='s/x/x/g'
%make 

%install
rm -fr %{buildroot}

%makeinstall

mkdir -p %{buildroot}{%{_bindir},%{_docdir},%{_iconsdir},%{_menudir},%{_sysconfdir}/X11/wmconfig,%{_datadir}/{gnome/apps/Internet,pixmaps},%{_mandir}/man1}

install -m 644 share/nt.desktop %{buildroot}%{_datadir}/gnome/apps/Internet/
install -m 644 share/nt.wmconfig $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmconfig/nt
install -m 644 share/d4x_aqua.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt-gray.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt.png %{buildroot}%{_iconsdir}

# menu
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): longtitle="%{summary}" \
command="nt" title="Downloader for X"  needs="x11" \
section="%{group}" \
icon="nt.png"
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog INSTALL* README* PLANS TODO 
%attr(0755, root, root) %{_bindir}/nt
%_bindir/%name
%config(noreplace) %{_sysconfdir}/X11/wmconfig/nt
%{_menudir}/%{name}
%{_iconsdir}/nt.png
%{_datadir}/gnome/apps/Internet/nt.desktop
%{_datadir}/pixmaps/*
%dir %{_datadir}/d4x
%{_datadir}/d4x/*
%{_mandir}/man1/nt.1*

%changelog
* Mon Jan 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-0.rc2.1mdk
- rc2

* Sun Dec 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.0-0.rc1.1mdk
- 2.5.0rc1
 
* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-2mdk
- adjust buildrequires

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.0-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- 2.4.0 final

* Sun Dec 22 2002 Matthias Debus <psic4t@netbands.de> 2.4.0-0.3mdk
- rc2
- unsource icons.
- png icons only (out xpm!)

* Thu Dec 12 2002 Matthias Debus <psic4t@netbands.de> 2.4.0-0.2mdk
- new release: rc1
- source icons.

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4-0.1mdk
- 2.4beta

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.03-1mdk
- 2.03

* Mon Jun 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.02-1mdk
- 2.02

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- used spec from Vaclav Slavik <vaclav.slavik@matfyz.cz> :
	- 2.0
	- changed name to d4x
- obsoletes nt

* Sun May  5 2002 Vaclav Slavik <vaclav.slavik@matfyz.cz> 2.0-1mdk
- 2.0
- changed name to d4x

* Tue Dec  4 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.30-1mdk
- 1.30
- Cleaned up the SPEC a little - I hate install...
- Make the %setup be quiet!
- Fixed the License tag, so that rpmlint doesn't complain

* Sat Sep 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.29-1mdk
- 1.29

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.28.1-1mdk
- updated to 1.28.1

* Fri May 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.26-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 1.26
	- improved Italian translation

* Thu Mar 15 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.24.1-1mdk
- new release

* Tue Jan 23 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.20-1mdk
- new release
- some fixes ...making rpmlint happier

* Tue Aug 29 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.19-1mdk
- new release

* Mon Aug 14 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.18-1mdk
- new release

* Mon Jul 31 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.17-2mdk
- BM
- Added menu entry
- Added man 
- Fixed NLS
- Fixed Italian Language

* Tue Jun 13 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.17-1mdk
- 1.17-1mdk
- Moved from diff to perl patch for Makefile

* Fri Jun 09 2000 John Johnson <jjohnson@linux-mandrake.com> 1.16.1-1mdk
- Made mandrake rpm  
- v1.16.1

* Wed May 03 2000 Lenny Carter <lenny@mandrakesoft.com> 1.06-4mdk
- fix group

* Mon Nov 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fixed the copyright tag

* Tue Oct 12 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation
